# Setting up a network media drive with an NFS-enabled NAS and a Raspberry Pi

I have a large digitised collection of music, and have been experimenting with ways to set up a communal music player in my living room without defaulting to Spotify, or any other such streaming platform.
Thus far I have used an old laptop with as much music as it will fit loaded onto it, running [MPD](https://www.musicpd.org/) and plugged into some speakers.
This is an OK solution, but has a few drawbacks: I'm limited to the disk of the laptop, the laptop uses more power than it needs to, and I kind of want that laptop back as a laptop!

I also have a desktop machine from which I often work from home, and would like my music collection available there too.
Ideally, these should be stored in the same place, to save having to manage duplicate files and manually synchronising locations, since I am likely to add to my collection from a variety of locations.
I have spent enough time `rsync`ing albums between machines, life is too short even on a gigabit local network.

I've recently had the good fortune to acquire a Synology NAS, so I'm going to use that to host my music collection.
Nothing I'm doing should be specific to Synology's hardware or software, as we'll be using [NFS](https://wiki.archlinux.org/title/NFS) to mount remote drives - but exposing an NFS shared folder to the network is therefore out of scope for this post.
I also had the luck to grab a Raspberry Pi from a pop-up store a few weeks ago, and felt that would make a perfect, low-power, unintrusive box to attach to the speakers.
Ostensibly, the Pi is overkill for just playing music, but it's better than a whole laptop and I'm sure I'll find other jobs for it to do as time goes on.

## Set up a shared folder

The first step is to centralise my music storage.
To do this, I created a shared folder from my NAS' web interface, and exposed it to the network.

In my case, I had to specifically add permission for other devices to access the folder via NFS - such as the Pi, my desktop and my laptop.
It was therefore prudent to assign each of these machines a static IP on my network, so that the NAS can continue to recognise them.
I also had to set it to map all users to admin, but this is almost certainly a misconfiguration on my part - don't follow me for security advice, I am just tinkering!

## Setting up the Pi

